// ConversationThread.cpp : implementation file
//

#include "stdafx.h"
#include "Netmsg.h"
#include "ConversationThread.h"
#include "Conversation.h"
#include "Contact.h"
#include "ContactView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

//The thread that drives the conversation dialog

IMPLEMENT_DYNCREATE(CConversationThread, CWinThread)

CConversationThread::CConversationThread(CContact *With, char *DefaultMsg)
{
	pszDefaultMsg = DefaultMsg;
	pWith = With;
	Conv = NULL;
}

CConversationThread::~CConversationThread()
{
}

BOOL CConversationThread::InitInstance()
{
	Conv = new CConversation(NULL, pWith, pszDefaultMsg);
	m_pMainWnd = Conv;
	Conv->DoModal();
	delete Conv;
	::SendMessage(GetApp()->View->GetSafeHwnd(), WM_DESTROYME, 0, (LPARAM) this);
	return TRUE;
}

int CConversationThread::ExitInstance()
{
	return CWinThread::ExitInstance();
}

BEGIN_MESSAGE_MAP(CConversationThread, CWinThread)
	//{{AFX_MSG_MAP(CConversationThread)
		// NOTE - the ClassWizard will add and remove mapping macros here.
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CConversationThread message handlers

BOOL CConversationThread::OnCmdMsg(UINT nID, int nCode, void* pExtra, AFX_CMDHANDLERINFO* pHandlerInfo) 
{
	// TODO: Add your specialized code here and/or call the base class
	
	return CWinThread::OnCmdMsg(nID, nCode, pExtra, pHandlerInfo);
}
