#if !defined(AFX_FXFILESEND_H__A3DC521B_4438_4E0C_B0E6_188242A66AAD__INCLUDED_)
#define AFX_FXFILESEND_H__A3DC521B_4438_4E0C_B0E6_188242A66AAD__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// FXFileSend.h : header file
//

#define PACKET_SIZE 4096

class CFileSocketThread;
/////////////////////////////////////////////////////////////////////////////
// CFXFileSend command target

class CFXFileSend : public CSocket
{
// Attributes
public:

// Operations
public:
	CFXFileSend(CFileSocketThread *, HANDLE, unsigned long);
	virtual ~CFXFileSend();
	bool SendFile();
	CFileSocketThread *Thread;
	HANDLE hFile;
	unsigned long FileLen;
	bool Stop;
// Overrides
public:
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CFXFileSend)
	public:
	virtual void OnConnect(int nErrorCode);
	virtual void OnReceive(int nErrorCode);
	//}}AFX_VIRTUAL

	// Generated message map functions
	//{{AFX_MSG(CFXFileSend)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG

// Implementation
protected:
};

class CFXFileRecv : public CSocket
{
// Attributes
public:

// Operations
public:
	CFXFileRecv(CFileSocketThread *, HANDLE, unsigned long);
	virtual ~CFXFileRecv();

// Overrides
public:
	CFileSocketThread* Thread;
	HANDLE hFile;
	unsigned long FileLen;
	bool Stop;
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CFXFileSend)
	public:
	virtual void OnConnect(int nErrorCode);
	virtual void OnReceive(int nErrorCode);
	//}}AFX_VIRTUAL

	// Generated message map functions
	//{{AFX_MSG(CFXFileSend)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG

// Implementation
protected:
};

class CFXListen : public CSocket
{
// Attributes
public:

// Operations
public:
	CFXListen(CFileSocketThread *);
	virtual ~CFXListen();
	CFileSocketThread *FileThread;
// Overrides
public:
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CFXFileSend)
	public:
	virtual void OnAccept(int nErrorCode);
	//}}AFX_VIRTUAL

	// Generated message map functions
	//{{AFX_MSG(CFXFileSend)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG

// Implementation
protected:
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_FXFILESEND_H__A3DC521B_4438_4E0C_B0E6_188242A66AAD__INCLUDED_)
