#if !defined(AFX_FILESEND_H__0B0C7B0E_DDF6_4454_BD92_7B2F78A1A8F3__INCLUDED_)
#define AFX_FILESEND_H__0B0C7B0E_DDF6_4454_BD92_7B2F78A1A8F3__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// FileSend.h : header file
//


#define PACKET_SIZE 4096

class CContact;
class CFileSend;
class CFXFileRecv;
class CFXFileSend;
class CFXListen;
class CTransferStatus;
class CConversation;

struct XFER
{
	CContact *Contact;
	char filename[1024];
	int port;
	unsigned long filelen;
};

/////////////////////////////////////////////////////////////////////////////
// CFileSend dialog

class CFileSocketThread : public CWinThread
{
public:

	CFileSocketThread(CContact *, bool, char *, int, unsigned long);
	virtual ~CFileSocketThread();
public:
	bool GetFileName(bool, HWND, char *);
	void UpdateTransfered(int);
	void TransferComplete();
	void TransferStarted();
	void TransferFailed();
	void TransferAccepted();
	void Kill();
	int GetFreePort();
	bool Sending;
	bool Finished;
	CFileSend *Dialog;
	char *FileName;
	char szFile[1024];
	int RemotePort;
	int DlgMode;
	unsigned long FileLen;
	unsigned long Transfered;
	unsigned long LastUpdated;
	unsigned long LastUpdated2;
	unsigned long LastTransfered;
	bool Resume;
	HANDLE hFile;
	CContact *Contact;
	CFXFileRecv *RecvSock;
	CFXFileSend *SendSock;
	CFXListen *Sock;
	CTransferStatus *StatusDlg;
	CConversation *StatusConv;
	//{{AFX_VIRTUAL(CPopWndThread)
	public:
	virtual BOOL InitInstance();
	virtual int ExitInstance();
	//}}AFX_VIRTUAL
// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CPopWndThread)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};


#endif // !defined(AFX_FILESEND_H__0B0C7B0E_DDF6_4454_BD92_7B2F78A1A8F3__INCLUDED_)
