// MainFrm.h : interface of the CMainFrame class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_MAINFRM_H__3F27B782_08CD_4273_ABDD_2E623A34D686__INCLUDED_)
#define AFX_MAINFRM_H__3F27B782_08CD_4273_ABDD_2E623A34D686__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#define ID_CUSTOMMENU_START 10000
#define ID_CUSTOMMENU_END 11000

#define AM_RIGHTCLICK 0
#define AM_RIGHTCLICKME 1
#define AM_MAIN 2

#define AM_FILE 0
#define AM_ACTIONS 1
#define AM_STATUS 2
#define AM_TOOLS 3
#define AM_HELP 4

struct CMENU
{
	unsigned int nItem;
	void (__stdcall *lpfn)(void);
};

class CNetmsgView;

class CMainFrame : public CFrameWnd
{
	
protected: // create from serialization only
	CMainFrame();
	DECLARE_DYNCREATE(CMainFrame)

// Attributes
public:
	CStatusBar *GetStatusBar();
// Operations
public:
	void OnCustomMenu(UINT nID);
	void Created(CNetmsgView *);
	CNetmsgView *View;
	bool minimised;
	void Restore();
	void Minimise();
	void TrayIcon(BOOL add);
	void Exit();
	unsigned int AppendMainMenu(int, int, char *, void (__stdcall *)(void));
	BOOL DeleteMainMenu(int, int, unsigned int);
	CList<CMENU *, CMENU *> CustMenu;
	CMenu RightClickMenu;
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMainFrame)
	public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CMainFrame();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:  // control bar embedded members
	CStatusBar  m_wndStatusBar;
	CToolBar    m_wndToolBar;

// Generated message map functions
protected:
	//{{AFX_MSG(CMainFrame)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnClose();
	afx_msg void OnIdrrightclickBlock();
	afx_msg void OnIdrrightclickSendinstantmessage();
	afx_msg void OnFileNewcontact();
	afx_msg void OnIdrrightclickDelete();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnToolsOptions();
	afx_msg void OnIdrtraymenuRestore();
	afx_msg void OnAppExit();
	afx_msg void OnIdrrightclickSendfile();
	afx_msg void OnActivate(UINT nState, CWnd* pWndOther, BOOL bMinimized);
	afx_msg void OnGetMinMaxInfo(MINMAXINFO FAR* lpMMI);
	afx_msg void OnRightclickmeSetawaystatus();
	afx_msg void OnRightclickmeSetappearofflinestatus();
	afx_msg void OnRightclickmeChangescreenname();
	afx_msg void OnRightclickmeSetnormalstatus();
	afx_msg void OnIdrtraymenuQuit();
	afx_msg BOOL OnQueryEndSession();
	afx_msg void OnFileClose();
	afx_msg void OnFileCloseWindow();
	//}}AFX_MSG
	LRESULT OnTrayMessage(WPARAM wParam, LPARAM lParam);
	LRESULT OnActivate(WPARAM wParam, LPARAM lParam);
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MAINFRM_H__3F27B782_08CD_4273_ABDD_2E623A34D686__INCLUDED_)
