#if !defined(AFX_TRANSFERSTATUS_H__7EACA162_C4C3_4EC9_B713_6E8F5D4B12A9__INCLUDED_)
#define AFX_TRANSFERSTATUS_H__7EACA162_C4C3_4EC9_B713_6E8F5D4B12A9__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// TransferStatus.h : header file
//

class CContact;
class CFileSocketThread;
class CStatusThread;

/////////////////////////////////////////////////////////////////////////////
// CTransferStatus dialog

class CTransferStatus : public CDialog
{
// Construction
public:
	CTransferStatus(CWnd* pParent = NULL, CStatusThread * = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CTransferStatus)
	enum { IDD = IDD_TRANSFERSTATUS_DIALOG };
	CStatic	m_Xfered;
	CStatic	m_Transfer;
	CStatic	m_FileTotal;
	CStatic	m_ToFrom;
	CStatic	m_Status;
	CStatic	m_FileName;
	CProgressCtrl	m_Progress;
	//}}AFX_DATA

	void InitStatus(CFileSocketThread *, CContact *, bool, char *);
	void SetStats(unsigned long, unsigned long);
	void SetStatus(const char *);
	void SetPercent(int);
	void Remove();
	void Ended();

	char FileName[1024];
	CContact *Contact;
	CFileSocketThread *Thread;
	CStatusThread *StatusThread;
	bool Sending;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTransferStatus)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CTransferStatus)
	virtual void OnOK();
	virtual BOOL OnInitDialog();
	afx_msg void OnClose();
	virtual void OnCancel();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TRANSFERSTATUS_H__7EACA162_C4C3_4EC9_B713_6E8F5D4B12A9__INCLUDED_)
